mpt_config
Prev | Fusion message devices | Next

## Name

mpt_config — Generic function to issue config message

## Synopsis

`int mpt_config (` | MPT_ADAPTER * | ioc,
| CONFIGPARMS * | pCfg`)`;

## Arguments

`ioc`

  Pointer to an adapter structure

`pCfg`

  Pointer to a configuration structure. Struct contains action, page address, direction, physical address and pointer to a configuration page header Page header is updated.

## Description

Returns 0 for success -EPERM if not allowed due to ISR context -EAGAIN if no msg frames currently available -EFAULT for non-successful reply or no reply (timeout)

Prev | Up | Next
mpt_findImVolumes | Home | mpt_print_ioc_summary